package com.cim.idm.service;


import com.cim.idm.model.ReceiveInstockDto;

import java.util.Map;


public interface IMaterialReceiveService {

	Map<String, Object> receiveInstock(ReceiveInstockDto receiveInstockDto) throws Throwable;
	
	Map<String, Object> InitialInstock(ReceiveInstockDto receiveInstockDto) throws Throwable;
	
	Map<String, Object> materialReceiveInstock(ReceiveInstockDto receiveInstockDto) throws Throwable;
	
	//跨组织调拨入库申请接口存储过程
	Map<String, Object> materialDbIntostock(ReceiveInstockDto receiveInstockDto) throws Throwable;

	//组织内调拨出库请接口使用的存储过程
	Map<String, Object> materialDbOutstock(ReceiveInstockDto receiveInstockDto,String detailRowNo) throws Throwable;

	//组织内调拨入库申请接口使用的存储过程
	Map<String, Object> materialDbInstock(ReceiveInstockDto receiveInstockDto) throws Throwable;
	
	
	Map<String, Object> oemReceiveInstock(ReceiveInstockDto receiveInstockDto, String erplocation) throws Throwable;
	
}
